/*
 * The Spar Library - modular math parser
 * Copyright (C) 2000,2001 Davide Angelocola <davide178@inwind.it>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 *
 */

/*
 * Spar Library interface header file
 */

#ifndef _sl_h
#define _sl_h

#include <spar/sl_bool.h>
#include <spar/sl_conf.h>
#include <spar/sl_constant.h>
#include <spar/sl_complex.h>
#include <spar/sl_errno.h>
#include <spar/sl_error.h>
#include <spar/sl_formula.h>
#include <spar/sl_init.h>
#include <spar/sl_io.h>
#include <spar/sl_math.h>
#include <spar/sl_math_library.h>
#include <spar/sl_module.h>
#include <spar/sl_module_loader.h>
#include <spar/sl_module_manager.h>
#include <spar/sl_parser.h>
#include <spar/sl_poly.h>
#include <spar/sl_random.h>
#include <spar/sl_sort.h>
#include <spar/sl_table.h>
#include <spar/sl_util.h>
#include <spar/sl_version.h>

#endif /* _sl_h_ */
